Debian Bug report logs - #554489
DBD::Pg in Lenny mangles high bit characters with pg_server_prepare=0

version graph

Package: libdbd-pg-perl; Maintainer for libdbd-pg-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdbd-pg-perl is src:libdbd-pg-perl.

Reported by: Bryce Nesbitt <bryce2@obviously.com>

Date: Wed, 4 Nov 2009 21:09:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version libdbd-pg-perl/2.8.7-1

Fixed in versions libdbd-pg-perl/2.10.6-1, libdbd-pg-perl/2.8.7-1+lenny1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=39390

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Wed, 04 Nov 2009 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bryce Nesbitt <bryce2@obviously.com>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 04 Nov 2009 21:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bryce Nesbitt <bryce2@obviously.com>
To: submit@bugs.debian.org
Subject: DBD::Pg in Lenny mangles high bit characters with pg_server_prepare=0
Date: Wed, 04 Nov 2009 12:56:52 -0800
Package: libdbd-pg-perl
Version: 2.8.7

We're upgrading from Etch to Lenny, and have found a serious regression. Basically if pg_server_prepare
is set to zero, you can no longer store characters above 127 to the database.  pg_server_prepare has
to be set to zero because the notoriously unstable DBD:Pg distribution changed how bind parameters work,
and pg_server_prepare=0 is the only way to get back the original behavior.

The behavior is true if you declare it at connect time, or at statement handle time.


#!/usr/local/bin/perl -w
#
# Test script for character mangling bug in DBD:Pg
# Using this table:
# CREATE TABLE test (key serial,val1 text,val2 bytea);
#
use DBI;
use DBD::Pg;

printf("Testing %-20s: %s\n", DBD::Pg, DBD::Pg->VERSION );

# Prep string with values from 0 to 255
my $string;
for(my $i=0; $i<256; $i++) {
	$data .= chr($i);
	}

my($dbh) = DBI->connect("dbi:Pg:dbname=dblack3-deleteme;host=192.168.1.93;port=5433","production","");
#$dbh->do("SET CLIENT_ENCODING TO 'LATIN1'") or die;
#$dbh->{pg_expand_array}++;

# Prepare 
my $context_key = 1;
$query_str = "UPDATE test SET val2=? WHERE key=?";
$sth = $dbh->prepare($query_str) or die;

# Should work, does work
$sth->bind_param(1, $data, {pg_type => DBD::Pg::PG_BYTEA});
$sth->bind_param(2, $context_key++);
$sth->execute() or die "Database Error: $DBI::err ... $DBI::errstr; query_str: $query_str";

# Should work, mangles characters above 128
$sth->{pg_server_prepare} = 0;
$sth->bind_param(1, $data, {pg_type => DBD::Pg::PG_BYTEA});
$sth->bind_param(2, $context_key++);
$sth->execute() or die "Database Error: $DBI::err ... $DBI::errstr; query_str: $query_str";

# Should fail due to mismatched primary key, but does not
$sth->bind_param(1, $data, {pg_type => DBD::Pg::PG_BYTEA});
$sth->bind_param(2, 9999999);
$sth->execute() or die "Database Error: $DBI::err ... $DBI::errstr; query_str: $query_str";



Linux dblack3.bepress.com 2.6.26-2-amd64 #1 SMP Mon Oct 19 02:34:17 UTC 2009 x86_64 GNU/Linux


Here is a dump after a run. Note all \377 is returned for all high characters:
key | val1 | val2
  1 |      | \000\001\002\003\004\005\006\007\010\011\012\013\014\015\016\017\020\021\022\023\024\025\026\027\030\031\032\033\034\035\036\037 !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\177\200\201\202\203\204\205\206\207\210\211\212\213\214\215\216\217\220\221\222\223\224\225\226\227\230\231\232\233\234\235\236\237\240\241\242\243\244\245\246\247\250\251\252\253\254\255\256\257\260\261\262\263\264\265\266\267\270\271\272\273\274\275\276\277\300\301\302\303\304\305\306\307\310\311\312\313\314\315\316\317\320\321\322\323\324\325\326\327\330\331\332\333\334\335\336\337\340\341\342\343\344\345\346\347\350\351\352\353\354\355\356\357\360\361\362\363\364\365\366\367\370\371\372\373\374\375\376\377
  2 |      | \000\001\002\003\004\005\006\007\010\011\012\013\014\015\016\017\020\021\022\023\024\025\026\027\030\031\032\033\034\035\036\037 !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\177\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377\377






Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=39390'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 06 Nov 2009 13:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Fri, 06 Nov 2009 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 06 Nov 2009 14:12:04 GMT) Full text and rfc822 format available.

Message #12 received at 554489@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bryce Nesbitt <bryce2@obviously.com>, 554489@bugs.debian.org
Subject: Re: Bug#554489: DBD::Pg in Lenny mangles high bit characters with pg_server_prepare=0
Date: Fri, 6 Nov 2009 14:50:27 +0100
[Message part 1 (text/plain, inline)]
On Wed, 04 Nov 2009 12:56:52 -0800, Bryce Nesbitt wrote:

> We're upgrading from Etch to Lenny, and have found a serious regression. Basically if pg_server_prepare
> is set to zero, you can no longer store characters above 127 to the database.  pg_server_prepare has
> to be set to zero because the notoriously unstable DBD:Pg distribution changed how bind parameters work,
> and pg_server_prepare=0 is the only way to get back the original behavior.

Thanks for your detailed bug report!

Looking through the upstream Changes and the bug reports on CPAN RT
this looks like
http://rt.cpan.org/Public/Bug/Display.html?id=39390

The bug report contains a patch:
http://rt.cpan.org/Ticket/Attachment/509835/253818/
and the problem is supposed to be fixed in 2.10.6.
http://search.cpan.org/diff?from=DBD-Pg-2.10.5&to=DBD-Pg-2.10.6 also
shows the actual change in quote.c

Do you happen to have a chance to text a newer version of DBD::Pg or
apply this one-line patch?
 
Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: David Bowie: Changes
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Fri, 06 Nov 2009 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bryce Nesbitt <bryce2@obviously.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 06 Nov 2009 19:57:04 GMT) Full text and rfc822 format available.

Message #17 received at 554489@bugs.debian.org (full text, mbox):

From: Bryce Nesbitt <bryce2@obviously.com>
To: gregor herrmann <gregoa@debian.org>
Cc: 554489@bugs.debian.org
Subject: Re: Bug#554489: DBD::Pg in Lenny mangles high bit characters with pg_server_prepare=0
Date: Fri, 06 Nov 2009 11:48:19 -0800
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Fri, 06 Nov 2009 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 06 Nov 2009 20:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 554489@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bryce Nesbitt <bryce2@obviously.com>
Cc: 554489@bugs.debian.org
Subject: Re: Bug#554489: DBD::Pg in Lenny mangles high bit characters with pg_server_prepare=0
Date: Fri, 6 Nov 2009 21:49:15 +0100
[Message part 1 (text/plain, inline)]
On Fri, 06 Nov 2009 11:48:19 -0800, Bryce Nesbitt wrote:

> The DBD:Pg in Squeeze seems to be fine, 

Thanks for the quick check!

> though I'm loosing trust in
> the stability of this module.  See also CVE-2009-1341 which was in
> the same function. I will get back to you on the fix, it is not yet
> clear if pg_server_prepare is handled correctly here.

Thanks.
If the one-line patch is enough the release team might be willing to
accept a new version for lenny.

Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Ludwig Hirsch: Boogie woogie
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Fri, 06 Nov 2009 23:36:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bryce Nesbitt <bryce2@obviously.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 06 Nov 2009 23:36:17 GMT) Full text and rfc822 format available.

Message #27 received at 554489@bugs.debian.org (full text, mbox):

From: Bryce Nesbitt <bryce2@obviously.com>
To: 554489@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#554489: DBD::Pg in Lenny mangles high bit characters with pg_server_prepare=0
Date: Fri, 06 Nov 2009 15:31:42 -0800
Here's the one line patch, consistent with upstream 
http://rt.cpan.org/Public/Bug/Display.html?id=39390
Plus an addition to the test harness which I highly encourage you to 
raft along.



*** DBD-Pg-2.8.7/quote.c    2009-11-06 14:54:10.000000000 -0800
--- DBD-Pg-2.8.7_Orig/quote.c    2008-05-08 19:14:43.000000000 -0700
***************
*** 205,211 ****
             *result++ = '\\';
         }
         else if (*string < 0x20 || *string > 0x7e) {
!             (void) snprintf((char *)result, 6, "\\\\%03o", (unsigned 
char)*string++);
             result += 5;
         }
         else {
--- 205,211 ----
             *result++ = '\\';
         }
         else if (*string < 0x20 || *string > 0x7e) {
!             (void) snprintf((char *)result, 6, "\\\\%03o", *string++);
             result += 5;
         }
         else {
diff -C3 -r DBD-Pg-2.8.7/t/06bytea.t DBD-Pg-2.8.7_Orig/t/06bytea.t
*** DBD-Pg-2.8.7/t/06bytea.t    2009-11-06 15:03:28.000000000 -0800
--- DBD-Pg-2.8.7_Orig/t/06bytea.t    2008-07-09 15:26:00.000000000 -0700
***************
*** 17,23 ****
 if (! defined $dbh) {
     plan skip_all => 'Connection to database failed, cannot continue 
testing';
 }
! plan tests => 11;

 isnt ($dbh, undef, 'Connect to database for bytea testing');

--- 17,23 ----
 if (! defined $dbh) {
     plan skip_all => 'Connection to database failed, cannot continue 
testing';
 }
! plan tests => 7;

 isnt ($dbh, undef, 'Connect to database for bytea testing');

***************
*** 28,34 ****

 my ($sth, $t);

- #################################################################
 $sth = $dbh->prepare(q{INSERT INTO dbd_pg_test (id,bytetest) VALUES 
(?,?)});

 $t='bytea insert test with string containing null and backslashes';
--- 28,33 ----
***************
*** 41,55 ****
 $t='bytea (second) insert test with string containing a single quote';
 ok ($sth->execute(402, '\''), $t);

- my ($binary_in, $binary_out);
- $t='store binary data in BYTEA column';
- for(my $i=0; $i<256; $i++) { $binary_out .= chr($i); }
- $sth->{pg_server_prepare} = 0;
- ok ($sth->execute(403, $binary_out), $t);
- $sth->{pg_server_prepare} = 1;
- ok ($sth->execute(404, $binary_out), $t);
-
- #################################################################
 $t='Received correct text from BYTEA column with backslashes';
 $sth = $dbh->prepare(q{SELECT bytetest FROM dbd_pg_test WHERE id=?});
 $sth->execute(400);
--- 40,45 ----
***************
*** 61,76 ****
 $byte = $sth->fetchall_arrayref()->[0][0];
 is ($byte, '\'', $t);

- $t='compare binary data in bytea row 403';
- $sth->execute(403);
- ($binary_in) = $sth->fetchrow_array();
- ok( $binary_in eq $binary_out, $t );
- $t='compare binary data in bytea row 404';
- $sth->execute(404);
- ($binary_in) = $sth->fetchrow_array();
- ok( $binary_in eq $binary_out, $t );
-
- #################################################################
 $t='quote properly handles bytea strings';
 my $string = "abc\123\\def\0ghi";
 my $result = $dbh->quote($string, { pg_type => PG_BYTEA });
--- 51,56 ----





Bug No longer marked as found in versions 2.8.7. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 07 Nov 2009 23:42:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libdbd-pg-perl/2.8.7-1. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 07 Nov 2009 23:42:05 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions libdbd-pg-perl/2.10.6-1. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 07 Nov 2009 23:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Sun, 08 Nov 2009 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 08 Nov 2009 00:03:03 GMT) Full text and rfc822 format available.

Message #38 received at 554489@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bryce Nesbitt <bryce2@obviously.com>
Cc: 554489@bugs.debian.org
Subject: Re: Bug#554489: DBD::Pg in Lenny mangles high bit characters with pg_server_prepare=0
Date: Sun, 8 Nov 2009 00:55:55 +0100
[Message part 1 (text/plain, inline)]
On Fri, 06 Nov 2009 15:31:42 -0800, Bryce Nesbitt wrote:

> Here's the one line patch, consistent with upstream
> http://rt.cpan.org/Public/Bug/Display.html?id=39390
> Plus an addition to the test harness which I highly encourage you to
> raft along.

Thanks alot, your help is much appreciated!

After fiddling a bit with the wrapped lines in the mail I got the
patch applied now (and I had to change some whitespace in t/06bytea.t
to make t/99_perlcritic.t pass :)). For reference I'm attaching it in
unified diff format again.
 
I'm going to contact the release team now about the inclusion in a
Lenny point release.

Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Lenny Kravitz: Black Velveteen
[554489.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 554489: 555015 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 08 Nov 2009 00:21:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 08 Nov 2009 15:57:08 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 09 Nov 2009 13:18:14 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Thu, 17 Dec 2009 00:12:12 GMT) Full text and rfc822 format available.

Notification sent to Bryce Nesbitt <bryce2@obviously.com>:
Bug acknowledged by developer. (Thu, 17 Dec 2009 00:12:12 GMT) Full text and rfc822 format available.

Message #49 received at 554489-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 554489-close@bugs.debian.org
Subject: Bug#554489: fixed in libdbd-pg-perl 2.8.7-1+lenny1
Date: Thu, 17 Dec 2009 00:08:56 +0000
Source: libdbd-pg-perl
Source-Version: 2.8.7-1+lenny1

We believe that the bug you reported is fixed in the latest version of
libdbd-pg-perl, which is due to be installed in the Debian FTP archive:

libdbd-pg-perl_2.8.7-1+lenny1.diff.gz
  to main/libd/libdbd-pg-perl/libdbd-pg-perl_2.8.7-1+lenny1.diff.gz
libdbd-pg-perl_2.8.7-1+lenny1.dsc
  to main/libd/libdbd-pg-perl/libdbd-pg-perl_2.8.7-1+lenny1.dsc
libdbd-pg-perl_2.8.7-1+lenny1_i386.deb
  to main/libd/libdbd-pg-perl/libdbd-pg-perl_2.8.7-1+lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 554489@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libdbd-pg-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 08 Nov 2009 16:35:46 +0100
Source: libdbd-pg-perl
Binary: libdbd-pg-perl
Architecture: source i386
Version: 2.8.7-1+lenny1
Distribution: stable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libdbd-pg-perl - Perl DBI driver for the PostgreSQL database server
Closes: 554489
Changes: 
 libdbd-pg-perl (2.8.7-1+lenny1) stable; urgency=low
 .
   * Upload to stable-proposed-updates.
   * Add patch to fix problem with high bit characters; thanks to Bryce Nesbitt
     for bug report, tests and the final patch (closes: #554489).
Checksums-Sha1: 
 ac82df4ff38ae9aec103dce52c2c295da4fef0f6 2335 libdbd-pg-perl_2.8.7-1+lenny1.dsc
 2d0590eea27c27023ae9eb2b9105cc8df5e42a8e 7948 libdbd-pg-perl_2.8.7-1+lenny1.diff.gz
 6275d1920ff66072e6c4eb8b1b32f081cb272202 185124 libdbd-pg-perl_2.8.7-1+lenny1_i386.deb
Checksums-Sha256: 
 bac7a87269e7b71d5a6ea22f9c1751ed3822a7801fa39705508e5c1762e11ea2 2335 libdbd-pg-perl_2.8.7-1+lenny1.dsc
 a1e8833640e07bafbfd83dc17cdf3fac10651a111600c4778a5452adbc904e3a 7948 libdbd-pg-perl_2.8.7-1+lenny1.diff.gz
 240752178e2074b18e768d364c152adadbfb7b2a3b53102e204fc8107361e4a0 185124 libdbd-pg-perl_2.8.7-1+lenny1_i386.deb
Files: 
 25f7eb0b0c0ceca00c62fe9c14b8e306 2335 perl optional libdbd-pg-perl_2.8.7-1+lenny1.dsc
 7f9571005aca04da91e8d5ee838df687 7948 perl optional libdbd-pg-perl_2.8.7-1+lenny1.diff.gz
 6d59ee6afa2106bea8f8746dff49f6ae 185124 perl optional libdbd-pg-perl_2.8.7-1+lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLGvmsAAoJELs6aAGGSaoGM+cP/0r3KLyJxobaQvYYa9TjVNtD
9vD5dWxVS+6yEHiPHjUCkmQbcZDzgzYs2uequ0kRy96quoAINcL0GlNiFA21VM3J
WvOnn8Aixc46LexgI1So5JJx7TJFBG3aCrtZst9+19aE8mpu+X4zzHN+94gUJsLu
wSRoYUxFAsfMVtTURCkYtPjI6jxN9WlzmoyRh3dw13PrcR1hNBWP2rXYltEOzNKH
c3hktDUXH3rBSWNjTVt5n29zQLK/X7tQ7rEwL49Hox4vlahf2/HCkEWS6FGMlfqM
+DagaIdXxxRGNL46fC+z8VEKlsHev0/vsLJGjHH2JzCYYb83fWFsUJOgIYXW1AeS
QFWjqbVMHam/YMfJH7oVRqv8vtnKhLgrBXo76xnnuLccjZKJYUbjI3HxEP+HEkks
MaSIaCx0i1Wy0TN5jiXPDGv3sKvJIZe3oNTH+Co9uPJ59BKiOqSzFmn1RIalzMTj
d1AiJByKZbgA9KjP0kXSFtwbdWkHPAthtMtUj89wJgiEvpTHhBYnCu1TGBjmkS9S
fiy4Qw+QtEIq3HkOTGWuEnzSup5k4EA1atbuRzjMgnthwHJartoQ1xINxLgo33zs
yo8Xm9gJB6l7BC/OtFMvdheG5PTYOVqNa2Y3ov/SKq0XCpevDmk+IOqCwxE8bdSY
ruSL/WoBozjkT/eDzeAu
=L14K
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Thu, 17 Dec 2009 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg Sabino Mullane <greg@turnstep.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 17 Dec 2009 16:42:02 GMT) Full text and rfc822 format available.

Message #54 received at 554489@bugs.debian.org (full text, mbox):

From: Greg Sabino Mullane <greg@turnstep.com>
To: 554489@bugs.debian.org
Subject: Version 2.8.8 of DBD::Pg released
Date: Thu, 17 Dec 2009 11:38:44 -0500
[Message part 1 (text/plain, inline)]
Version 2.8.8 of DBD::Pg is now available on CPAN, which fixes the
quote.c bug in 2.8.7



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Thu, 17 Dec 2009 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 17 Dec 2009 17:24:03 GMT) Full text and rfc822 format available.

Message #59 received at 554489@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: Greg Sabino Mullane <greg@turnstep.com>, 554489@bugs.debian.org
Subject: Re: Bug#554489: Version 2.8.8 of DBD::Pg released
Date: Thu, 17 Dec 2009 12:22:59 -0500
Hi Greg:

I notice you're the upstream maintainer of DBD::Pg (thanks!). In
Debian we have version 2.15 (which we believe to be the newest).

libdbd-pg-perl |     1.49-2 |     etch-m68k | source, m68k
libdbd-pg-perl |     1.49-2 |     oldstable | source, alpha, amd64,
arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
libdbd-pg-perl | 1.49-2+etch1 | oldstable-proposed-updates | source,
alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390,
sparc
libdbd-pg-perl |    2.8.7-1 |        stable | source, alpha, amd64,
arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
libdbd-pg-perl |   2.15.1-1 |       testing | source, amd64, hppa,
i386, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390,
sparc
libdbd-pg-perl |   2.15.1-1 |      unstable | source, alpha, amd64,
hppa, hurd-i386, i386, kfreebsd-amd64, kfreebsd-i386, mips, mipsel,
powerpc, s390, sparc

According to search.cpan.org, however, apparently you uploaded 2.8.8
after 2.15.1, which confuses Debian (since our version numbers
consider 2.15.1 > 2.8.8).

I'm not totally sure how we should proceed in this case -- we can bump
the "epoch" assuming you are going to linearly increase your versions
from 2.8.8 onward (2.8.9, 2.9.0, etc); however, the situation with the
2.15 version is confusing to me personally.

Note that version 2.8.7 (where you say that bug exists) only exists in
stable -- testing and unstable both have 2.15.1.

It perplexes me how this version even managed to index properly in
PAUSE -- I had always thought 2.8xx would be considered greater than
2.15xx (by PAUSE/Perl, which compare version numbers based on a
floating-point comparison).

On Thu, Dec 17, 2009 at 11:38 AM, Greg Sabino Mullane <greg@turnstep.com> wrote:
> Version 2.8.8 of DBD::Pg is now available on CPAN, which fixes the
> quote.c bug in 2.8.7
>
>
>
>
> _______________________________________________
> pkg-perl-maintainers mailing list
> pkg-perl-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-perl-maintainers
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#554489; Package libdbd-pg-perl. (Thu, 17 Dec 2009 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 17 Dec 2009 17:39:03 GMT) Full text and rfc822 format available.

Message #64 received at 554489@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: Greg Sabino Mullane <greg@turnstep.com>, 554489@bugs.debian.org
Subject: Re: Bug#554489: Version 2.8.8 of DBD::Pg released
Date: Thu, 17 Dec 2009 12:36:00 -0500
Hi Greg,

I just noticed you uploaded 2.16, I'll update our package shortly. Thanks!

Cheers,

Jonathan

On Thu, Dec 17, 2009 at 11:38 AM, Greg Sabino Mullane <greg@turnstep.com> wrote:
> Version 2.8.8 of DBD::Pg is now available on CPAN, which fixes the
> quote.c bug in 2.8.7
>
>
>
>
> _______________________________________________
> pkg-perl-maintainers mailing list
> pkg-perl-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-perl-maintainers
>




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jan 2010 07:34:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:35:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.